Get the current authenticated user’s profile, including their organization role and team memberships with roles.
cURL
curl --request GET \ --url https://public.api.serval.com/v2/me \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "email": "<string>", "firstName": "<string>", "lastName": "<string>", "name": "<string>", "organizationRole": "USER_ROLE_UNSPECIFIED", "avatarUrl": "<string>", "timezone": "<string>", "teamMemberships": [ { "team": { "id": "<string>", "name": "<string>", "prefix": "<string>", "description": "<string>", "organizationId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "color": "<string>" }, "role": "TEAM_USER_ROLE_UNSPECIFIED" } ], "organizationId": "<string>", "locale": "<string>" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Success
Show child attributes
Was this page helpful?